<!--
 * @Description: 
 * @Author: 王旭
 * @Date: 2023-02-27 11:30:56
 * @LastEditTime: 2023-03-06 15:19:16
 * @LastEditors: 王旭
-->
<template>
  <div class="banner">
    <!-- <img
      class="pcimg"
      src="../assets/img/index/javier-miranda-Jn2EaLLYZfY-unsplash.png"
      alt=""
    />
    <img class="mimg" src="../assets/img/index/pic_banner_1beitu.png" alt="" /> -->
    <div class="banner_bg">
      <div class="title">
        <h3>CIM引擎平台</h3>
        <h3>跨时代的实景三维+BIM渲染引擎，告别BIM模型加载焦虑</h3>
        <p>语义级数字孪生应用开发利器</p>
        <div class="title_btn">
          <el-button type="primary" class="btn" @click="SY">试用申请</el-button>
        </div>
      </div>
      <!-- <div class="QRcode">
        <div class="QRcode_title">即刻扫码，申请试用</div>
        <img src="../assets/img/JJFA/erweima_shiyong.png" alt="" />
      </div> -->
    </div>
  </div>
  <div class="content">
    <div class="parent" ref="wrapper" id="parent">
      <!-- 左侧菜单栏 -->
      <!-- <div class="contentLeft">
        <div class="left_top">INTRODUCTION</div>
        <h3 class="left_top_title">产品简介</h3>
        <ul class="left_ul">
          <li
            v-for="(item0, index0) in leftArr"
            :key="index0"
            :class="{ highLight: whichIndex == index0 }"
            @click="letItemHighLight(index0)"
          >
            {{ item0 }}
          </li>
        </ul>
      </div> -->
      <div class="contentRight">
        <div class="contentRight_l contentRight_l_c" :class="item.className" v-for="(item, i) in htmlObj" :key="i"
          v-html="item.html" ref="item"></div>
      </div>
    </div>
  </div>
  <div class="content_bottom">
    <div class="content_bottom_bg"></div>
    <h3 class="content_bottom_title">应用场景</h3>
    <div class="content_bottom_b">
      <div class="content_bottom_b_x">
        <div class="content_bottom_b_c_b">
          <div class="content_bottom_b_c_b1"></div>
        </div>
        <div class="content_bottom_b_c_n">设计协同</div>
      </div>
      <div class="content_bottom_b_x">
        <div class="content_bottom_b_c_b">
          <div class="content_bottom_b_c_b2"></div>
        </div>
        <div class="content_bottom_b_c_n">孪生运维</div>
      </div>
      <div class="content_bottom_b_x">
        <div class="content_bottom_b_c_b">
          <div class="content_bottom_b_c_b3"></div>
        </div>
        <div class="content_bottom_b_c_n">智慧工地</div>
      </div>
    </div>
  </div>
</template>

<script lang="ts" setup>
import {
  ref,
  onMounted,
  onBeforeUnmount,
  reactive,
  defineProps,
  defineEmits,
} from "vue";
import BScroll from "better-scroll";
let leftArr = ref(["1", "2", "3", "4"]);
let rightArr = ref([]);
let whichIndex = ref([]);
let rightHeightArr = ref([]);
let rightHeightSumArr = ref([]);
let r = ref([]);
const wrapper = ref(null);
let htmlObj = ref([]);

const SY = () => {
  window.open("https://cim.smartearth.cn/invite/index.html");
};
function getTwoHeightArr() {
  let item1 = document.getElementsByClassName("contentRight_l_c");

  // item1.forEach((iitem) => {
  //   rightHeightArr.value.push(item["offsetHeight"]);
  // });
  for (let i = 0; i < item1.length; i++) {
    rightHeightArr.value.push(item1[i].offsetHeight);
  }

  let num = 0;
  rightHeightArr.value.forEach((item) => {
    num = num + item;
    rightHeightSumArr.value.push(num);
  });

  // 第三步，有了高度滚动条以后，就可以绑定滚动事件了
  bindScrollEvent();
}
function bindScrollEvent() {
  let wrapper = document.getElementById("parent");

  // 第四步，绑定滚动事件，看滚动到那个区间里面，思路就是通过右侧的区间去同步左侧的区间
  wrapper.onscroll = () => {
    r.value = wrapper.scrollTop;
    // 看看浏览器滚动的高度落到那个区间，在那个区间，就让对应的项高亮
    const scrollWhichIndex = rightHeightSumArr.value.findIndex(
      (item, index) => {
        return (
          r.value >= rightHeightSumArr.value[index] &&
          r.value < rightHeightSumArr.value[index + 1]
        );
      }
    );
    // console.log("所在区间", scrollWhichIndex);
    // 初始的区间为-1，所以还让其为第一项，即索引为0，当用户往下滑动的时候，所以就会
    // 一直大于负一，所以就让其加上一和左侧的高亮项对应。
    if (scrollWhichIndex > -1) {
      whichIndex.value = scrollWhichIndex + 1;
    } else {
      whichIndex.value = 0;
    }
  };
}
// 第五步，当用户点击的时候再让其滚动，因为滚动和高亮是关联的，所以只要控制滚动，就相当于控制高亮。
// 滚动的距离就是，看用户点击的是哪个菜单项的索引，通过索引找到累加数组对应的那一项，
// 也就是滚动的距离。当为第一项的时候边界值要控制一下
function letItemHighLight(i: number) {
  console.log(wrapper.value);
  if (rightHeightSumArr.value[i - 1] == undefined) {
    wrapper.value.scrollTop = 0;
  } else {
    wrapper.value.scrollTop = rightHeightSumArr.value[i - 1];
  }
}
//移动端判断
var isPc = true;

var userAgentInfo = navigator.userAgent; //获取bai游览器请求的用户代理头的值du
var Agents = [
  "Android",
  "iPhone",
  "SymbianOS",
  "Windows Phone",
  "iPad",
  "iPod",
]; //定义移动设备数zhi组
for (var v = 0; v < Agents.length; v++) {
  //判断是否是移动设备
  if (userAgentInfo.indexOf(Agents[v]) > 0) {
    isPc = false;
    break;
  }
}
if (isPc) {
  htmlObj.value = [
    {
      className: "contentRight_l",
      html: "<div class='contentRight_l_rgiht'><video class=\"pcvideo\" poster='./video/第三人民医院3_00000.png' src='./video/加载大量BIM.m4v' width='880' height='495'   autoplay=\"autoplay\" muted=\"muted\" loop    x5-video-player-type=\"h5\" x5-video-player-fullscreen=\"true\"></video></div><div style='clear: both'></div><div class='contentRight_l_left'><h3><span>/</span>海量BIM模型上传</h3><p>免切片，无需轻量化，完整上传BIM模型构件；上传多少加载多少，从此再无性能焦虑。</p><div class='contentRight_num1 contentRight_num'></div></div>",
    },
    {
      className: "contentRight_R",
      html: '<div class="contentRight_l_left"><h3><span>/</span>BIM模型在线编辑</h3><p>前后端同步更新，实时编辑构件信息、属性信息，随时随地修改模型。</p><div class="contentRight_num2 contentRight_num"></div></div><div style="clear: both"></div><div class="contentRight_l_rgiht"><video class="pcvideo" poster="./video/属性编辑序列帧_00000.png" src="./video/属性序列帧.m4v" width="880" height="495"   autoplay="autoplay" muted="muted" loop    x5-video-player-type="h5" x5-video-player-fullscreen="true"></video></div>',
    },
    {
      className: "contentRight_l",
      html: "<div class='contentRight_l_rgiht'><video class=\"pcvideo\" poster='./video/语义融合1_00000.png' src='./video/语义融合.m4v' width='880' height='495'   autoplay=\"autoplay\" muted=\"muted\" loop    x5-video-player-type=\"h5\" x5-video-player-fullscreen=\"true\"></video></div><div style='clear: both'></div><div class='contentRight_l_left'><h3><span>/</span>实景三维+BIM数据融合</h3><p>BIM模型不再孤独，建筑信息与环境信息无缝融合，数据世界全要素精准表达。</p><div class='contentRight_num3 contentRight_num'></div></div>",
    },
    {
      className: "contentRight_R",
      html: '<div class="contentRight_l_left"><h3><span>/</span>多方案对比</h3><p>多重方案切换展示，多角度展现产品理念，多元化展现设计思路。</p><div class="contentRight_num4 contentRight_num"></div></div><div style="clear: both"></div><div class="contentRight_l_rgiht"><video class="pcvideo" poster="./video/方案切换功能_00000.png" src="./video/多方案.m4v" width="880" height="495"   autoplay="autoplay" muted="muted" loop    x5-video-player-type="h5" x5-video-player-fullscreen="true"></video></div>',
    },
  ];
} else {
  htmlObj.value = [
    {
      className: "contentRight_l",
      html: "<div class='contentRight_l_rgiht'><img src='./gif/大容量加载.gif'  alt=''></div><div style='clear: both'></div><div class='contentRight_l_left'><h3><span>/</span>海量BIM模型上传</h3><p>免切片，无需轻量化，完整上传BIM模型构件；上传多少加载多少，从此再无性能焦虑。</p><div class='contentRight_num1 contentRight_num'></div></div>",
    },
    {
      className: "contentRight_R",
      html: '<div class="contentRight_l_left"><h3><span>/</span>BIM模型在线编辑</h3><p>前后端同步更新，实时编辑构件信息、属性信息，随时随地修改模型。</p><div class="contentRight_num2 contentRight_num"></div></div><div style="clear: both"></div><div class="contentRight_l_rgiht"><img src="./gif/属性编辑.gif"  alt=""></div>',
    },
    {
      className: "contentRight_l",
      html: "<div class='contentRight_l_rgiht'><img src='./gif/BIM+GIS融合.gif'  alt=''></div><div style='clear: both'></div><div class='contentRight_l_left'><h3><span>/</span>实景三维+BIM数据融合</h3><p>BIM模型不再孤独，建筑信息与环境信息无缝融合，数据世界全要素精准表达。</p><div class='contentRight_num3 contentRight_num'></div></div>",
    },
    {
      className: "contentRight_R",
      html: '<div class="contentRight_l_left"><h3><span>/</span>多方案对比</h3><p>多重方案切换展示，多角度展现产品理念，多元化展现设计思路。</p><div class="contentRight_num4 contentRight_num"></div></div><div style="clear: both"></div><div class="contentRight_l_rgiht"><img src="./gif/方案切换.gif"  alt=""></div>',
    },
  ];
}
onMounted(() => {
  window.onbeforeunload = function () {
    window.scrollTo(0, 0)

  }
});
onBeforeUnmount(() => { });
</script>
<style lang="less" scoped>
.banner {
  width: 100%;
  height: 100vh;
  position: relative;
  background: url("../assets/img/index/javier-miranda-Jn2EaLLYZfY-unsplash.png") no-repeat center;
  cursor: pointer;
  background-size: cover;

  .pcimg {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
  }

  .banner_bg {
    width: 100%;
    height: 100%;
    position: relative;
    background: rgba(0, 0, 0, 0.4);
  }

  .title {
    position: absolute;
    top: 39%;
    left: 200px;

    h3 {
      font-size: 60px;
      font-family: WDCHT;
      color: #ffffff;
      text-shadow: 0px 2px 5px rgba(0, 0, 0, 0.8);
      margin: 0;
      padding-bottom: 10px;
    }

    p {
      font-size: 30px;
      font-family: MicrosoftYaHei;
      color: #ffffff;
      padding-top: 20px;
    }
  }

  .QRcode {
    position: absolute;
    right: 200px;
    bottom: 6%;

    img {
      width: 164px;
      height: 164px;
    }

    .QRcode_title {
      font-size: 18px;
      color: #fff;
      font-weight: bold;
      padding-bottom: 20px;
      text-align: center;
    }
  }
}

.title_btn {
  padding-top: 80px;

  .btn {
    width: 160px;
    height: 44px;
    // background: #6889d8;
    border-radius: 0;
    color: #fff;
    border: 0;
    font-size: 16px;
  }
}

@media (max-width: 1125px) {
  .banner {
    width: 100%;
    height: 360px;
    background: url("../assets/img/index/pic_banner_1beitu.png") no-repeat center;
    background-size: cover;
    cursor: pointer;
  }

  .title_btn {
    padding-top: 10px;
    // .btn {
    //   width: 160px;
    //   height: 44px;
    // }
  }
}

.content {
  width: 1530px;
  margin: 0 auto;
  // height: 600px;
  margin-top: 160px;
  margin-bottom: 160px;
  // padding-left: 200px;
  // padding-right: 200px;
  // box-sizing: border-box;
  position: relative;

  .parent {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    // flex-direction: row-reverse;
    // overflow-y: auto;
    // -ms-overflow-style: none;
    // overflow: -moz-scrollbars-none;
  }

  .contentLeft {
    position: absolute;
    top: 0px;
    left: 0;

    .left_top {
      width: 200px;
      height: 44px;
      background: #192236;
      font-size: 22px;
      font-family: Times-Roman, Times;
      font-weight: normal;
      color: #ffffff;
      text-align: center;
      line-height: 44px;
      margin-bottom: 30px;
    }

    .left_top_title {
      padding-left: 16px;
      font-size: 30px;
      font-family: MicrosoftYaHei-Bold, MicrosoftYaHei;
      font-weight: bold;
      color: #192236;
      margin-bottom: 40px;
    }

    .left_ul {
      padding-left: 50px;

      li {
        width: 20px;
        height: 20px;
        border: 1px solid rgba(25, 34, 54, 0.5);
        border-radius: 50%;
        text-align: center;
        line-height: 20px;
        font-size: 12px;
        font-family: Times-Bold, Times;
        font-weight: bold;
        color: rgba(25, 34, 54, 0.5);
        margin-bottom: 12px;
        cursor: pointer;
      }

      .highLight {
        background: rgba(25, 34, 54, 1);
        color: #fff;
      }

      li:hover {
        background-color: rgba(25, 34, 54, 1);
        color: #fff;
      }
    }
  }

  .contentRight {

    // width: 100%;
    .contentRight_l {
      // width: 100%;
      display: flex;
      // align-items: center;
      // justify-content: space-around;
      flex-direction: row-reverse;
      margin-bottom: 160px;

      .contentRight_l_left {
        width: calc(300px + 100px);
        position: relative;
        margin-right: 60px;

        h3 {
          font-size: 28px;
          font-family: MicrosoftYaHei-Bold, MicrosoftYaHei;
          font-weight: bold;
          color: #192236;
          padding-bottom: 20px;

          span {
            font-size: 26px;
            font-family: MicrosoftYaHei-Bold, MicrosoftYaHei;
            font-weight: bold;
            color: #6889d8;
            padding-right: 10px;
          }
        }

        p {
          font-size: 24px;
          font-family: MicrosoftYaHei;
          color: rgba(25, 34, 54, 0.6);
          text-align: justify;
          text-align-last: auto;
        }

        .contentRight_num1 {
          position: absolute;
          width: 189px;
          height: 344px;
          top: 110px;
          left: 0;
          background: url("../assets/img/index/1.png") no-repeat center;
          background-size: 100% 100%;
        }

        .contentRight_num3 {
          position: absolute;
          width: 189px;
          height: 344px;
          top: 110px;
          left: 0;
          background: url("../assets/img/index/3.png") no-repeat center;
          background-size: 100% 100%;
        }
      }

      .contentRight_l_rgiht {
        width: 908px;
        height: 523px;
        background: url("../assets/img/index/sign_waikuang_da.png") no-repeat center;
        background-size: 100% 100%;
        display: flex;
        align-items: center;
        justify-content: center;

        img {
          width: 880px;
          height: 495px;
        }
      }
    }

    .contentRight_R {
      display: flex;
      // align-items: center;
      // justify-content: space-between;

      flex-direction: row-reverse;
      // margin-bottom: 180px;
      margin-bottom: 160px;

      .contentRight_l_left {
        width: calc(300px + 100px);
        position: relative;
        margin-left: 60px;
        margin-right: 0;

        h3 {
          font-size: 28px;
          font-family: MicrosoftYaHei-Bold, MicrosoftYaHei;
          font-weight: bold;
          color: #192236;
          padding-bottom: 20px;

          span {
            font-size: 26px;
            font-family: MicrosoftYaHei-Bold, MicrosoftYaHei;
            font-weight: bold;
            color: #6889d8;
            padding-right: 10px;
          }
        }

        p {
          font-size: 24px;
          font-family: MicrosoftYaHei;
          color: rgba(25, 34, 54, 0.6);
          text-align: justify;
          text-align-last: auto;
        }

        .contentRight_num2 {
          position: absolute;
          width: 189px;
          height: 344px;
          top: 110px;
          left: 0;
          background: url("../assets/img/index/2.png") no-repeat center;
          background-size: 100% 100%;
        }

        .contentRight_num4 {
          position: absolute;
          width: 189px;
          height: 344px;
          top: 110px;
          left: 0;
          background: url("../assets/img/index/4.png") no-repeat center;
          background-size: 100% 100%;
        }
      }

      .contentRight_l_rgiht {
        width: 908px;
        height: 523px;
        background: url("../assets/img/index/sign_waikuang_da.png") no-repeat center;
        background-size: 100% 100%;
        display: flex;
        align-items: center;
        justify-content: center;

        img {
          width: 880px;
          height: 495px;
        }
      }
    }

    // .contentRight_l:nth-child(2) {
    //   margin-bottom: 0;
    //   padding-bottom: 80px;
    // }
    // .contentRight_l:nth-child(3) {
    //   margin-bottom: 0;
    //   padding-bottom: 80px;
    // }
    .contentRight_R:last-child {
      margin-bottom: 0;
      // padding-bottom: 80px;
    }

    .pcvideo {
      width: 880px;
      height: 495px;
      object-fit: fill;
    }
  }
}

.parent::-webkit-scrollbar {
  width: 0 !important;
}

.content_bottom {
  width: 100%;
  // height: 884px;
  background: rgba(25, 34, 54, 1);
  position: relative;
  padding-bottom: 100px;

  .content_bottom_bg {
    width: 100%;
    position: absolute;
    height: 537px;
    background: url("../assets/img/index/bg_changjing.png") no-repeat center;
    background-size: 100% 100%;
    top: 0;
    left: 0;
    z-index: 0;
  }

  .content_bottom_title {
    position: relative;
    font-size: 36px;
    // font-family: WDCHT;
    color: #ffffff;
    padding-top: 140px;
    text-align: center;
    padding-bottom: 85px;
  }

  .content_bottom_b {
    width: 100%;

    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
  }

  .content_bottom_b_x {
    width: 536px;
  }

  .content_bottom_b_c_b {
    width: 536px;
    height: 312px;
    background: url("../assets/img/index/sign_waikuang_xiao.png") no-repeat center;
    background-size: 100% 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    .content_bottom_b_c_b1 {
      width: 512px;
      height: 288px;
      background: url("../assets/img/index/pic_bottom_1.png") no-repeat center !important;
      background-size: 100% 100%;
    }

    .content_bottom_b_c_b2 {
      width: 512px;
      height: 288px;
      background: url("../assets/img/index/pic_bottom_2.png") no-repeat center !important;
      background-size: 100% 100%;
    }

    .content_bottom_b_c_b3 {
      width: 512px;
      height: 288px;
      background: url("../assets/img/index/pic_bottom_3.png") no-repeat center !important;
      background-size: 100% 100%;
    }
  }

  .content_bottom_b_c_n {
    padding-top: 16px
      /* 16/192 */
    ;
    font-size: 24px;
    font-family: MicrosoftYaHei;
    color: #ffffff;
    text-align: center;
  }
}
</style>
